For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • POSTExecute Prompt
      • STREAMExecute Prompt as Stream
      • POSTSubmit Prompt Execution Actuals
      • POSTRetrieve Provider Payload
        • GETList Prompt Deployments
        • GETRetrieve Prompt Deployment
        • GETRetrieve Prompt Deployment Release
        • GETRetrieve Prompt Deployment Release Tag
        • GETList Prompt Deployment Release Tags
        • PATCHUpdate Prompt Deployment Release Tag
        • GETRetrieve Prompt Deployment History
LogoLogo
BlogLog InRequest Demo
Client SDKPromptsPrompt Deployments

Retrieve Prompt Deployment History

Deprecated
GET
https://api.vellum.ai/v1/deployments/:id/history/:history_id_or_release_tag
GET
/v1/deployments/:id/history/:history_id_or_release_tag
1import requests
2
3url = "https://api.vellum.ai/v1/deployments/id/history/history_id_or_release_tag"
4
5headers = {"X-API-KEY": "<apiKey>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
200Retrieved
1{
2 "id": "string",
3 "deployment_id": "string",
4 "timestamp": "2024-01-15T09:30:00Z",
5 "label": "string",
6 "name": "string",
7 "input_variables": [
8 {
9 "id": "string",
10 "key": "string",
11 "type": "STRING",
12 "required": true,
13 "default": {
14 "type": "STRING",
15 "value": "string"
16 },
17 "extensions": {
18 "color": "string",
19 "description": "string",
20 "title": "string"
21 },
22 "schema": {}
23 }
24 ],
25 "description": "string"
26}

DEPRECATED: This endpoint is deprecated and will be removed in a future release. Please use the retrieve_prompt_deployment_release xendpoint instead.

Was this page helpful?
Previous

Execute Workflow

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

history_id_or_release_tagstringRequiredformat: "uuid"
Either the UUID of Deployment History Item you'd like to retrieve, or the name of a Release Tag that's pointing to the Deployment History Item you'd like to retrieve.
idstringRequired
Either the Prompt Deployment's ID or its unique name

Headers

X-API-VersionstringOptional

Response

idstringformat: "uuid"
deployment_idstringformat: "uuid"
timestampstringformat: "date-time"
labelstring<=150 characters

A human-readable label for the deployment

namestring<=150 characters
A name that uniquely identifies this deployment within its workspace
input_variableslist of objects
descriptionstring or null

A human-readable description of the deployment